Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
gubrow_action Class Reference

Detect and remove entries whose sum is known. More...

`#include <CoinPresolveDupcol.hpp>`

Inheritance diagram for gubrow_action:
[legend]
Collaboration diagram for gubrow_action:
[legend]

## Classes
struct | action

## Public Member Functions
const char * | name () const
| A name for debug printing. More...
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action. More...
Public Member Functions inherited from CoinPresolveAction
| CoinPresolveAction (const CoinPresolveAction *next)
| Construct a postsolve object and add it to the transformation list. More...
void | setNext (const CoinPresolveAction *nextAction)
| modify next (when building rather than passing) More...
virtual | ~CoinPresolveAction ()
| Virtual destructor. More...

## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const CoinPresolveAction *next)
Static Public Member Functions inherited from CoinPresolveAction
static void | throwCoinError (const char *error, const char *ps_routine)
| Stub routine to throw exceptions. More...

## Private Member Functions
| gubrow_action ()
| gubrow_action (int nactions, const action *actions, const CoinPresolveAction *next)

## Private Attributes
const int | nactions_
const action *const | actions_

## Additional Inherited Members
Public Attributes inherited from CoinPresolveAction
const CoinPresolveAction * | next
| The next presolve transformation. More...

## Detailed Description

Detect and remove entries whose sum is known.

If we have an equality row where all entries same then For other rows where all entries for that equality row are same then we can delete entries and modify rhs gubrow_action is definitely a work in progress; postsolve is unimplemented.

Definition at line 153 of file CoinPresolveDupcol.hpp.

## Constructor & Destructor Documentation

gubrow_action::gubrow_action | ( |  | ) |
| inline private

Definition at line 163 of file CoinPresolveDupcol.hpp.

gubrow_action::gubrow_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next
| ) |  |
| inline private

Definition at line 164 of file CoinPresolveDupcol.hpp.

## Member Function Documentation

const char* gubrow_action::name | ( |  | ) | const
| virtual

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

static const CoinPresolveAction* gubrow_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const CoinPresolveAction * | next
| ) |  |
| static

void gubrow_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const
| virtual

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int gubrow_action::nactions_
| private

Definition at line 160 of file CoinPresolveDupcol.hpp.

const action* const gubrow_action::actions_
| private

Definition at line 161 of file CoinPresolveDupcol.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/CoinUtils/src/CoinPresolveDupcol.hpp